/* @import url('https://fonts.googleapis.com/css2?family=Bungee+Shade&display=swap'); */

@font-face {
    font-family: myfont;
    src: url(assets/Valorax-lg25V.otf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
    color: rgba(255, 255, 255, 0.836);
    font-family: myfont;
    transition: cubic-bezier(0.075, 0.82, 0.165, 1);
}

.main>video {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -10;
    filter: blur(3px) brightness(0.9);
}

.main {
    width: 100%;
    height: 100vh;
    display: grid;
    place-items: center;
}

.canvas {
    position: relative;
    width: 100%;
    aspect-ratio: 10/3;
    outline: 1000px solid rgb(0, 0, 0);
}

.hero {
    position: absolute;
    display: flex;
    margin-left: 5%;
    bottom: 0%;
    width: 25%;
}

.hero>img {
    width: 100%;
    filter: saturate(0) brightness(1.2) contrast(5);
    mix-blend-mode: multiply;
    transition: 0.3s;
}

.villan {
    position: absolute;
    display: flex;
    bottom: 0%;
    width: 11%;
    left: 500%;
}

.villan>img {
    width: 100%;
}

.gameover {
    background: rgba(3, 3, 3, 0.13);
    backdrop-filter: blur(5px);
    font-size: 40px;
    text-align: center;
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 15px;
    border: 1px solid rgba(255, 255, 255, 0.185);
    border-radius: 10px;
    z-index: -10;
}

.score {
    position: absolute;
    top: 20px;
    left: 20px;
    font-size: 40px;
    z-index: 45;
    color: rgb(201, 154, 255);
}

button {
    background: transparent;
    font-size: 20px;
    padding: 10px;
    border-radius: 9px;
    border: 1px solid white;
}